Bug 17552 - Koha::Objects->reset does no longer allow chaining
Summary: Koha::Objects->reset does no longer allow chaining
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17091
Blocks: 17553
  Show dependency treegraph
 
Reported: 2016-11-04 14:07 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset" (932 bytes, patch)
2016-11-04 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17552: Continue revert and add tests to highlight the problem (1.88 KB, patch)
2016-11-04 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset" (1001 bytes, patch)
2016-11-04 15:07 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17552: Continue revert and add tests to highlight the problem (1.95 KB, patch)
2016-11-04 15:07 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset" (1.03 KB, patch)
2016-11-06 10:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 17552: Continue revert and add tests to highlight the problem (2.01 KB, patch)
2016-11-06 10:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-04 14:07:51 UTC
The commit 361673b06c81f094bc279838a199e08ea9499c32
    Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset"
was actually wrong. We need to allow chaining on reset, for instance:
  $set->reset->first
Comment 1 Jonathan Druart 2016-11-04 14:09:54 UTC
Created attachment 57200 [details] [review]
Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset"

This reverts commit c253af2e519570c4024891dc4d1e81743a2c5fc2.
Comment 2 Jonathan Druart 2016-11-04 14:09:59 UTC
Created attachment 57201 [details] [review]
Bug 17552: Continue revert and add tests to highlight the problem
Comment 3 Josef Moravec 2016-11-04 14:27:00 UTC
Is there any other test plan than 
prove t/db_dependent/Koha/Objects.t
?
Comment 4 Jonathan Druart 2016-11-04 14:50:37 UTC
(In reply to Josef Moravec from comment #3)
> Is there any other test plan than 
> prove t/db_dependent/Koha/Objects.t
> ?

Nope, this method is not called from our codebase (only from tests).
Comment 5 Josef Moravec 2016-11-04 15:07:51 UTC
Created attachment 57209 [details] [review]
[SIGNED-OFF] Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset"

This reverts commit c253af2e519570c4024891dc4d1e81743a2c5fc2.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2016-11-04 15:07:56 UTC
Created attachment 57210 [details] [review]
[SIGNED-OFF] Bug 17552: Continue revert and add tests to highlight the problem

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Katrin Fischer 2016-11-06 10:33:18 UTC
Created attachment 57230 [details] [review]
[PASSED QA] Bug 17552: Revert "Bug 17091: Remove explicit declaration of Koha::Objects->reset"

This reverts commit c253af2e519570c4024891dc4d1e81743a2c5fc2.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 8 Katrin Fischer 2016-11-06 10:33:54 UTC
Created attachment 57231 [details] [review]
[PASSED QA] Bug 17552: Continue revert and add tests to highlight the problem

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 9 Kyle M Hall 2016-11-07 16:40:05 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 10 Mason James 2016-12-14 10:10:11 UTC
Blocked by enhancement, skipping for 16.05.x